<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 2/7/2018
 * Time: 2:27 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['idPropiedad']) && isset($_REQUEST['id_propietario'])) {
            $idPropiedad = $_REQUEST['idPropiedad'];
            $propiedad = R::load('propiedad', $idPropiedad);
            $propiedad->id_propietario = $_REQUEST['id_propietario'];
            $id = R::store($propiedad);
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}